# CheckDocumentDetectionMode enum

Check document detection and extraction mode.

Inheritance
  - Object
  - Enum
  - CheckDocumentDetectionMode
Available extensions
  - EnumName

## Values

DISABLED → const CheckDocumentDetectionMode

  Document detection is not performed. Successful check scans will only contain the machine-readable check data without a full crop of the check.

DETECT_DOCUMENT → const CheckDocumentDetectionMode

  Document scanner will be used to locate the complete check in the input image. The documentDetectionResult result field will contain the result of document detection.

DETECT_AND_CROP_DOCUMENT → const CheckDocumentDetectionMode

  Document scanner will be used to locate the complete check in the input image. The documentDetectionResult result field will contain the result of document detection. The croppedImage result field will contain a crop of the entire check.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<CheckDocumentDetectionMode>
  A constant List of the values in this enum, in order of their declaration.